%define filever 1.0Beta2

Name: gnome-toaster
Summary: CD-Recording frontend for GNOME
Version: 1.0
Release: 0.beta2.7mdk
Source: http://gnometoaster.rulez.org/archive/gtoaster%{filever}.tar.bz2
Source1: gtoaster-16.xpm.bz2
Source2: gtoaster-32.xpm.bz2
Source3: gtoaster-48.xpm.bz2
# don't autodetect cdrom at startup (it freeze gtoaster)
Patch0: gnome-toaster-1.0b2-default.patch.bz2
URL: http://gnometoaster.rulez.org/
Group: Archiving/Cd burning
BuildRequires: db1-devel gnome-libs-devel zlib-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: cdrecord
Epoch: 0
License: GPL

%description
CD-Recording frontend for GNOME.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n gtoaster
%patch0 -p1 -b .default
%build
%configure

%make

%install
%makeinstall

# Mandrake Menu entry
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat <<EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): \
needs="x11" \
section="Applications/Archiving/Cd burning" \
title="Gnome-Toaster" \
longtitle="A GNOME utility for cd burning" \
command="%{_bindir}/gtoaster" \
icon="%{name}.xpm"
EOF

mkdir -p $RPM_BUILD_ROOT%{_miconsdir} $RPM_BUILD_ROOT%{_liconsdir} $RPM_BUILD_ROOT%{_iconsdir}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.xpm

# let's clean Documentation directory
rm -rf Documentation/CVS

%find_lang gtoaster

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f gtoaster.lang 
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO Documentation/*
%{_bindir}/*
%{_iconsdir}/%{name}.*
%{_miconsdir}/%{name}.*
%{_liconsdir}/%{name}.*
%{_menudir}/*

%changelog
* Thu Sep 20 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-0.beta2.7mdk
- Fix patch0 to non blocking dialog
- Add require on cdrecord

* Wed Sep 19 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-0.beta2.6mdk
- Patch0: popup a dialog to fix bug 4860 (freeze at startup)

* Thu Aug 30 2001 David BAUDENS <baudens@mandrakesoft.com> 1.0-0.beta2.5mdk
- Use %%find_lang for all locales

* Thu Aug 30 2001 David BAUDENS <baudens@mandrakesoft.com> 1.0-0.beta2.4mdk
- Fix previous changelog :-/

* Thu Aug 30 2001 David BAUDENS <baudens@mandrakesoft.com> 1.0-0.beta2.3mdk
- Use new icons
- Add missing files

* Mon Jul 23 2001 Stefan van der Eijk <stefan@eijk.nu> 1.0-0.beta2.2mdk
- BuildRequires:	db1-devel
- Removed BuildRequires:	audiofile-devel
- Removed BuildRequires:	esound-devel
- Removed BuildRequires:	imlib-devel
- Removed BuildRequires:	XFree86-devel

* Tue Jul  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-0.beta2.1mdk
- Release 1.0beta2

* Fri Jun 29 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-0.beta1.1mdk
- Release 1.0beta1 (snapshot 2001060411)

* Thu Apr 12 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2001033113-1mdk
- Release 2001-03-31

* Tue Sep  5 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 20000227-5mdk
- Update icons
- Embed menuentry
- BM + macroszifications

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 20000227-4mdk
- automatically added BuildRequires

* Thu May 04 2000 Daouda Lo <daouda@mandrakesoft.com> 20000227-3mdk
- icon 32x32 and 16x16.

* Fri Apr 28 2000 Vincent Saugey <vince@mandrakesoft.com> 20000227-2mdk
- Fixed icon path in menu entry
- Rename menu file
- Add documentation
- Convert icon to xpm

* Thu Apr 13 2000 Daouda Lo <daouda@mandrakesoft.com> 20000227-1mdk
- release 20000227
- SMP build/check

* Mon Apr 10 2000 Daouda Lo <daouda@mandrakesoft.com> 19991011-2mdk
- add menu support 
- update group 

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Enable SMP check/build
- 19991021 

* Tue Jul 22 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- add french description

* Sat Jun 26 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Initial RPM

